<?php


namespace App\ViewModels\Formulario\FormularioDetailsViewModel;


use App\Utils\Entity;

class FormularioDetailsViewModel extends Entity
{
    protected $titulo;
    protected $descricao;
    protected $ativo;
    protected $id_medico;
    protected $procedimentos;
    protected $perguntas;
    protected $atendimento;
    public static function builder(): FormularioDetailsViewModelBuilder
    {
        return new FormularioDetailsViewModelBuilder;
    }

    /**
     * @return mixed
     */
    public function getAtendimento()
    {
        return $this->atendimento;
    }

    /**
     * @param mixed $atendimento
     */
    public function setAtendimento($atendimento): void
    {
        $this->atendimento = $atendimento;
    }

    public function getTitulo(): string
    {
        return $this->titulo;
    }

    public function getDescricao(): string
    {
        return $this->descricao;
    }

    public function getIdMedico()
    {
        return $this->id_medico;
    }

    public function getPerguntas(): PerguntaDetailsCollection
    {
        return $this->perguntas;
    }

    public function setTitulo(string $titulo): void
    {
        $this->titulo = $titulo;
    }

    public function setDescricao(string $descricao): void
    {
        $this->descricao = $descricao;
    }

    public function setIdMedico($id_medico): void
    {
        $this->id_medico = $id_medico;
    }

    public function setPerguntas(PerguntaDetailsCollection $perguntas): void
    {
        $this->perguntas = $perguntas;
    }

    public function getProcedimentos()
    {
        return $this->procedimentos;
    }

    public function setProcedimentos($procedimentos): void
    {
        $this->procedimentos = $procedimentos;
    }

    public function getAtivo(): int
    {
        return $this->ativo;
    }

    public function setAtivo(int $ativo): FormularioDetailsViewModel
    {
        $this->ativo = $ativo;
        return $this;
    }



}